<template>
    <div class="login">
        <div class="header">
            <img :src="headerUrl" />
        </div>
        <v-spaces :height="'20px'"></v-spaces>
        <div class="input"  >
          <div class="input-item input-type">
            <div class="item">
              <p class="title" :style="{color:'#C98E52'}">{{input[0].title}}</p>
              <p class="red"></p>
            </div>
            <input
              maxlength="11"
              :type=input[0].inputType
              :placeholder=input[0].placeholder
              @input="inputEmit($event,input[0])"
            />
            <div :style="{display:phonenumber.length === 11?'':'none'}" >
              <v-code :phonenumber="phonenumber" @codeEmit="codeEmit" ></v-code>
            </div>
          </div>
        </div>
        <div class="input"  >
          <div class="input-item input-type">
            <div class="item">
              <p class="title" :style="{color:'#C98E52'}">{{input[1].title}}</p>
              <p class="red"></p>
            </div>
            <input
              maxlength="6"
              :type=input[1].inputType
              :placeholder=input[1].placeholder
              @input="inputEmit($event,input[1])"
            />
          </div>
        </div>
        <v-spaces :height="'20px'"></v-spaces>
        <v-footer :footer="'登录'" :status = "gainAuthCodeAction" @footerEmit="enter()"></v-footer>
        <!--弹出栏-->
        <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
     </div>
</template>
<script type="text/ecmascript-6">
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '../../util'
  import store from '../../store'
  import config from '@/config'
  import spaces from '@/components/spaces/spaces.vue'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import footer from '@/components/footer/footer.vue'
  import code from '@/components/VerificationCode/VerificationCode.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import '../../../static/css/reset.css';
  import '../../../static/css/components.scss';
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        hintbox:{
          text :'',
          show : false
        },
        headerUrl: config.url+'pic-login-header.png',
        input:[
          {
            inputType:'number',
            title:'手机号',
            placeholder:'请输入手机号'
          },
          {
            inputType:'number',
            title:'验证码',
            placeholder:'请输入验证码'
          },
        ],
        // 验证码数据定义
          isGet: false,
          phonenumber: '', // 手机号码
          authcode:"", //输入的验证码
          sec: 60,
          status: false,
          bind:false,
          verificationcode: ''//接口验证码
      }
    },
    components:{
      'v-spaces':spaces,
      'v-footer':  footer,
      'v-code' : code,
      'v-hintbox' : hintbox
    },
    watch:{
      'store.state.Login.phonenumber'(){

      }
    },
    computed:{
      // 登录状态按钮禁用
      status(){
        console.log('status:'+this.gainAuthCodeAction);
        if( this.gainAuthCodeAction ){
          return true;
        }else{
          return false;
        }

      },
      // 获取验证码
      gainAuthCodeAction: function () {
        //第一步：验证手机号码
        return (this.phonenumber.length === 11);
      }

    },
    methods:{
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      inputEmit(data,item){
        if(item.title === '手机号'){
          this.phonenumber = data.mp.detail.value;
        }
        if(item.title === '验证码'){
          this.authcode = data.mp.detail.value;
        }
        // console.log(data.mp.detail.value);
        return
      },
      login(){
        let that = this;
        let veevlink = VeevlinkData();
        if(that.authcode.length === 0){
          that.hintbox.show = true;
          that.hintbox.text = '验证码不能为空';
            return;
        }
        VeevlinkClient(
          '/user/login?openid='+veevlink.OpenId+'&phonenumber='+that.phonenumber+'&verificationcode='+that.authcode,
          'GET',
          '',
          function (data) {
            if(data.success){
              console.log(data.records[0].VerificationCodeEntity);
              wx.setStorageSync('VerificationCodeEntity',data.records[0].VerificationCodeEntity);
              let VerificationCodeEntity = wx.getStorageSync('VerificationCodeEntity');
              if(VerificationCodeEntity.notfirstlogin === false){
                // config.href(config.Home);
              console.log('进入用户信息完善页');
              console.log(config.UserInfoImprove);
              config.href(config.UserInfoImprove,true);

              }else{
              console.log('进入首页');
              console.log(config.Home);
              config.href(config.Home,true);

              }

            }else{
               that.hintbox.show = true;
               that.hintbox.text = data.message;
            }
          },
          function (error) {
            console.log(error);
            that.hintbox.show = true;
            that.hintbox.text = error.message;
          })
      },
    //登录用户授权页
    enter: function () {
    // console.log('enter');
    // config.href(config.UserInfoImprove);
      //埋点
      let that = this;
      let veevlink = VeevlinkData();
      mta.Data.userInfo = {'open_id':veevlink.OpenId, 'phone':that.phonenumber};
      if(that.verificationcode !== that.authcode){
        wx.showToast({
          title: '验证码错误!',
          icon: 'success',
          image: '../../static/img/error.png',
          duration: 2000
        })
      }
//      wx.showLoading({
//        title: '加载中',
//        mask:'false'
//      });
//      VeevlinkLogin(function () {
//        console.log('succes');
        that.login();
//      },function () {
//        that.hintbox.show = true;
//        that.hintbox.text = '登录失败';
//      });
  },
    tel(data){
      let that = this;
      console.log(data);
      console.log(this.phonenumber);

      that.phonenumber =data.value;

//      return
//      let array = [ 'Login','phonenumber',data]
//      store.commit('add',array);
//      console.log(store.state.Login.phonenumber);
//      console.log(this.gainAuthCodeAction);
//       this.phonenumber = store.state.Login.phonenumber
    },
     code(data){
      this.authcode =data.value;
      console.log(this.authcode);
     },
     sss(data){
      console.log(data);
      },
      codeEmit(data){
         this.verificationcode = data;
      }
    },
    created(){
      let array = [ 'Login','phonenumber','']
      store.commit('add',array);
      console.log(config.url+'pic-login-header.png');
    },
    async onLoad() {
      mta.Page.init();
    }
  }
</script>
<style  lang="scss"  type="text/scss" scoped >
.login{
  width: 100%;
  height: 1000px;
  overflow-y: auto;
  .header{
    img{
      width: 100%;
      height: 2.2rem;
      background:linear-gradient(90deg,rgba(20,20,20,1),rgba(20,20,20,0))
    }
  }
  .input{
    width: 6.7rem;
    margin-left: 20px;
    }

}


</style>


